#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "RevealAnimationCompletedDelegate.h"
#include "LoadoutPartRevealWidget.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API ULoadoutPartRevealWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, BlueprintCallable, meta=(AllowPrivateAccess=true))
	FRevealAnimationCompletedDelegate OnRevealAnimationCompleted;

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void PlayRevealAnimation();

public:
	ULoadoutPartRevealWidget();
};

FORCEINLINE uint32 GetTypeHash(const ULoadoutPartRevealWidget) { return 0; }
